# systemd options
%global _has_systemd %(eval rpm -q --quiet systemd && systemctl --version | head -n 1 | cut -d " " -f 2 || echo 0)
%global _servicefile_postfix %{_has_systemd}.service

Summary: Secure SSH server instance configuration for Git remote access
Name: git-sshd
Version: 0.3
Release: 2%{?dist}
License: GPLv2
Group: System Environment/Daemons
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: %{name}.%{_servicefile_postfix}
Source1: %{name}.conf
Requires: exec-tools >= 1.3, openssh-server, git
BuildRequires: systemd
%systemd_requires
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This package provides a secure SSH server instance configuration
for Git remote access.

%prep
%{__install} -d %{_builddir}/%{name}-%{version}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_unitdir}
%{__install} -d %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -d %{buildroot}%{_sysconfdir}/pam.d
%{__install} -d %{buildroot}%{_sbindir}

%{__install} -m 0644 -p %{SOURCE0} %{buildroot}%{_unitdir}/%{name}.service
%{__install} -m 0640 -p %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}
%{__ln_s} -f sshd %{buildroot}%{_sysconfdir}/pam.d/%{name}
%{__ln_s} -f sshd %{buildroot}%{_sbindir}/%{name}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%defattr(-,root,root,-)
%{_unitdir}/%{name}.service
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%{_sbindir}/%{name}

%changelog
* Wed Apr 22 2020 Simon Matter <simon.matter@invoca.ch> 0.3-2
- add support for EL8

* Wed Sep 25 2019 Simon Matter <simon.matter@invoca.ch> 0.3-1
- add symlink to sshd PAM config

* Tue Sep 24 2019 Simon Matter <simon.matter@invoca.ch> 0.2-1
- change name of authorized keys file to .ssh/git-sshd-authorized_keys

* Fri Sep 20 2019 Simon Matter <simon.matter@invoca.ch> 0.1-1
- initial package
